#!/usr/bin/env bash

export GPU_MAX_HEAP_SIZE=100
export GPU_MAX_USE_SYNC_OBJECTS=1
export GPU_SINGLE_ALLOC_PERCENT=100
export GPU_MAX_ALLOC_PERCENT=100
export GPU_MAX_SINGLE_ALLOC_PERCENT=100
export GPU_ENABLE_LARGE_ALLOCATION=100
export GPU_MAX_WORKGROUP_SIZE=1024

# HugePages tunning
function HugePagesTune(){
   if [[ `echo $SRBMINER_ALGO | grep -c "^random"` -gt 0 ]]; then
     echo "Apply HugePages tuning for RandomX ..."
     hugepages -rx
   fi
}

[[ `ps aux | grep "SRBMiner-MULTI" | grep -v grep | wc -l` != 0 ]] &&
  echo -e "${RED}$MINER_NAME miner is already running${NOCOLOR}" &&
  exit 1

cd $MINER_DIR/$MINER_VER

HugePagesTune

unset LD_LIBRARY_PATH

conf=`cat $MINER_NAME.conf`

if [[ $conf=~';' ]]; then
    conf=$(echo $conf | tr -d \\\\ )
fi

eval "unbuffer ./SRBMiner-MULTI ${conf//;/'\;'} --api-enable --api-port $MINER_API_PORT --log-file $MINER_LOG_BASENAME.log"
